
Public Class ucBarraGenerica
    Inherits System.Windows.Forms.UserControl
    Public Event ButtonClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.toolBarButtonClickEventArgs)

#Region " Código generado por el Diseñador de Windows Forms "

    Public Sub New()
        MyBase.New()

        'El Diseñador de Windows Forms requiere esta llamada.
        InitializeComponent()

        'Agregar cualquier inicialización después de la llamada a InitializeComponent()

    End Sub

    'UserControl reemplaza a Dispose para limpiar la lista de componentes.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Requerido por el Diseñador de Windows Forms
    Private components As System.ComponentModel.IContainer

    'NOTA: el Diseñador de Windows Forms requiere el siguiente procedimiento
    'Puede modificarse utilizando el Diseñador de Windows Forms. 
    'No lo modifique con el editor de código.
    Friend WithEvents Botones As System.Windows.Forms.ImageList
    Public WithEvents tlbSiguiente As System.Windows.Forms.toolBarButton
    Public WithEvents TlbCrearPdf As System.Windows.Forms.toolBarButton
    Public WithEvents tlbVisualizarPDF As System.Windows.Forms.toolBarButton
    Public WithEvents tlbLimpiarPantalla As System.Windows.Forms.toolBarButton
    Public WithEvents tlbAlmacenar As System.Windows.Forms.toolBarButton
    Public WithEvents tlbEliminaFicha As System.Windows.Forms.toolBarButton
    Public WithEvents tlbAyuda As System.Windows.Forms.toolBarButton
    Public WithEvents tlbEnviar As System.Windows.Forms.toolBarButton
    Public WithEvents tlbRecibir As System.Windows.Forms.toolBarButton
    Public WithEvents tlbCancelar As System.Windows.Forms.toolBarButton
    Public WithEvents tlbGrabar As System.Windows.Forms.toolBarButton
    Public WithEvents tlbCopiar As System.Windows.Forms.toolBarButton
    Public WithEvents tlbSalir As System.Windows.Forms.toolBarButton
    Public WithEvents tbGenerico As System.Windows.Forms.toolBar
    Public WithEvents tlbRecibirdeDisco As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbSolicitarCertificado As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbVerCertificado As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbCambiarPIN As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbExportarCertificado As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbRestaurarCopia As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbImprimir As System.Windows.Forms.toolBarButton
    Friend WithEvents tlbRevocarCertificado As System.Windows.Forms.toolBarButton
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Dim tlbAnterior As System.Windows.Forms.toolBarButton
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(ucBarraGenerica))
        Me.tbGenerico = New System.Windows.Forms.toolBar()
        Me.tlbSiguiente = New System.Windows.Forms.toolBarButton()
        Me.tlbCrearPdf = New System.Windows.Forms.toolBarButton()
        Me.tlbVisualizarPDF = New System.Windows.Forms.toolBarButton()
        Me.tlbAlmacenar = New System.Windows.Forms.toolBarButton()
        Me.tlbLimpiarPantalla = New System.Windows.Forms.toolBarButton()
        Me.tlbEliminaFicha = New System.Windows.Forms.toolBarButton()
        Me.tlbEnviar = New System.Windows.Forms.toolBarButton()
        Me.tlbGrabar = New System.Windows.Forms.toolBarButton()
        Me.tlbCopiar = New System.Windows.Forms.toolBarButton()
        Me.tlbRecibir = New System.Windows.Forms.toolBarButton()
        Me.tlbRecibirdeDisco = New System.Windows.Forms.toolBarButton()
        Me.tlbCancelar = New System.Windows.Forms.toolBarButton()
        Me.tlbAyuda = New System.Windows.Forms.toolBarButton()
        Me.tlbSolicitarCertificado = New System.Windows.Forms.toolBarButton()
        Me.tlbVerCertificado = New System.Windows.Forms.toolBarButton()
        Me.tlbCambiarPIN = New System.Windows.Forms.toolBarButton()
        Me.tlbExportarCertificado = New System.Windows.Forms.toolBarButton()
        Me.tlbRevocarCertificado = New System.Windows.Forms.toolBarButton()
        Me.tlbRestaurarCopia = New System.Windows.Forms.toolBarButton()
        Me.tlbImprimir = New System.Windows.Forms.toolBarButton()
        Me.tlbSalir = New System.Windows.Forms.toolBarButton()
        Me.Botones = New System.Windows.Forms.ImageList(Me.components)
        tlbAnterior = New System.Windows.Forms.toolBarButton()
        Me.SuspendLayout()
        '
        'tlbAnterior
        '
        tlbAnterior.Enabled = False
        tlbAnterior.ImageIndex = 2
        tlbAnterior.Name = "tlbAnterior"
        tlbAnterior.tag = "NOM:ANTERIOR"
        tlbAnterior.toolTipText = "Anterior (F4)"
        tlbAnterior.Visible = False
        '
        'tbGenerico
        '
        Me.tbGenerico.AutoSize = False
        Me.tbGenerico.Buttons.AddRange(New System.Windows.Forms.toolBarButton() {tlbAnterior, Me.tlbSiguiente, Me.tlbCrearPdf, Me.tlbVisualizarPDF, Me.tlbAlmacenar, Me.tlbLimpiarPantalla, Me.tlbEliminaFicha, Me.tlbEnviar, Me.tlbGrabar, Me.tlbCopiar, Me.tlbRecibir, Me.tlbRecibirdeDisco, Me.tlbCancelar, Me.tlbAyuda, Me.tlbSolicitarCertificado, Me.tlbVerCertificado, Me.tlbCambiarPIN, Me.tlbExportarCertificado, Me.tlbRevocarCertificado, Me.tlbRestaurarCopia, Me.tlbImprimir, Me.tlbSalir})
        Me.tbGenerico.Dock = System.Windows.Forms.DockStyle.None
        Me.tbGenerico.DropDownArrows = True
        Me.tbGenerico.ImageList = Me.Botones
        Me.tbGenerico.Location = New System.Drawing.Point(0, 0)
        Me.tbGenerico.Name = "tbGenerico"
        Me.tbGenerico.ShowToolTips = True
        Me.tbGenerico.Size = New System.Drawing.Size(765, 44)
        Me.tbGenerico.tabIndex = 46
        Me.tbGenerico.tag = "FUN:S"
        '
        'tlbSiguiente
        '
        Me.tlbSiguiente.Enabled = False
        Me.tlbSiguiente.ImageIndex = 0
        Me.tlbSiguiente.Name = "tlbSiguiente"
        Me.tlbSiguiente.tag = "NOM:SIGUIENTE|FUN:5"
        Me.tlbSiguiente.toolTipText = "Siguiente (F5)"
        Me.tlbSiguiente.Visible = False
        '
        'TlbCrearPdf
        '
        Me.tlbCrearPdf.Enabled = False
        Me.tlbCrearPdf.ImageIndex = 4
        Me.tlbCrearPdf.Name = "TlbCrearPdf"
        Me.tlbCrearPdf.tag = "NOM:CREARPDF"
        Me.tlbCrearPdf.toolTipText = "Crear PDF"
        Me.tlbCrearPdf.Visible = False
        '
        'tlbVisualizarPDF
        '
        Me.tlbVisualizarPDF.Enabled = False
        Me.tlbVisualizarPDF.ImageIndex = 7
        Me.tlbVisualizarPDF.Name = "tlbVisualizarPDF"
        Me.tlbVisualizarPDF.tag = "NOM:VISUALIZARPDF"
        Me.tlbVisualizarPDF.toolTipText = "Visualizar PDF"
        Me.tlbVisualizarPDF.Visible = False
        '
        'tlbAlmacenar
        '
        Me.tlbAlmacenar.Enabled = False
        Me.tlbAlmacenar.ImageIndex = 5
        Me.tlbAlmacenar.Name = "tlbAlmacenar"
        Me.tlbAlmacenar.tag = "NOM:ALMCENAR|FUN:1|IMGN:26|IMGA:5"
        Me.tlbAlmacenar.toolTipText = "Almacenar (F1)"
        '
        'tlbLimpiarPantalla
        '
        Me.tlbLimpiarPantalla.Enabled = False
        Me.tlbLimpiarPantalla.ImageIndex = 13
        Me.tlbLimpiarPantalla.Name = "tlbLimpiarPantalla"
        Me.tlbLimpiarPantalla.tag = "NOM:LIMPIARPANTALLA|FUN:6"
        Me.tlbLimpiarPantalla.toolTipText = "Limpiar Pantalla (F6)"
        '
        'tlbEliminaFicha
        '
        Me.tlbEliminaFicha.Enabled = False
        Me.tlbEliminaFicha.ImageIndex = 11
        Me.tlbEliminaFicha.Name = "tlbEliminaFicha"
        Me.tlbEliminaFicha.tag = "NOM:ELIMINAFICHA|FUN:7"
        Me.tlbEliminaFicha.toolTipText = "Elimina Ficha (F7)"
        '
        'tlbEnviar
        '
        Me.tlbEnviar.Enabled = False
        Me.tlbEnviar.ImageIndex = 19
        Me.tlbEnviar.Name = "tlbEnviar"
        Me.tlbEnviar.tag = "NOM:ENVIAR"
        Me.tlbEnviar.toolTipText = "Enviar por internet"
        Me.tlbEnviar.Visible = False
        '
        'tlbGrabar
        '
        Me.tlbGrabar.Enabled = False
        Me.tlbGrabar.ImageIndex = 16
        Me.tlbGrabar.Name = "tlbGrabar"
        Me.tlbGrabar.tag = "NOM:GRABAR"
        Me.tlbGrabar.toolTipText = "Grabar en CD / DVD"
        Me.tlbGrabar.Visible = False
        '
        'tlbCopiar
        '
        Me.tlbCopiar.Enabled = False
        Me.tlbCopiar.ImageIndex = 17
        Me.tlbCopiar.Name = "tlbCopiar"
        Me.tlbCopiar.tag = "NOM:COPIAR|FUN:4"
        Me.tlbCopiar.toolTipText = "Copiar (F4)"
        Me.tlbCopiar.Visible = False
        '
        'tlbRecibir
        '
        Me.tlbRecibir.Enabled = False
        Me.tlbRecibir.ImageIndex = 20
        Me.tlbRecibir.Name = "tlbRecibir"
        Me.tlbRecibir.tag = "NOM:RECIBIR"
        Me.tlbRecibir.toolTipText = "Recibir de Internet"
        Me.tlbRecibir.Visible = False
        '
        'tlbRecibirdeDisco
        '
        Me.tlbRecibirdeDisco.Enabled = False
        Me.tlbRecibirdeDisco.ImageIndex = 18
        Me.tlbRecibirdeDisco.Name = "tlbRecibirdeDisco"
        Me.tlbRecibirdeDisco.tag = "NOM:RECIBIRDEDISCO"
        Me.tlbRecibirdeDisco.toolTipText = "Incorporar datos desde disco"
        Me.tlbRecibirdeDisco.Visible = False
        '
        'tlbCancelar
        '
        Me.tlbCancelar.Enabled = False
        Me.tlbCancelar.ImageIndex = 6
        Me.tlbCancelar.Name = "tlbCancelar"
        Me.tlbCancelar.tag = "NOM:CANCELAR"
        Me.tlbCancelar.toolTipText = "Cancelar"
        Me.tlbCancelar.Visible = False
        '
        'tlbAyuda
        '
        Me.tlbAyuda.Enabled = False
        Me.tlbAyuda.ImageIndex = 8
        Me.tlbAyuda.Name = "tlbAyuda"
        Me.tlbAyuda.tag = "NOM:AYUDA"
        Me.tlbAyuda.toolTipText = "Ayuda"
        Me.tlbAyuda.Visible = False
        '
        'tlbSolicitarCertificado
        '
        Me.tlbSolicitarCertificado.ImageIndex = 24
        Me.tlbSolicitarCertificado.Name = "tlbSolicitarCertificado"
        Me.tlbSolicitarCertificado.tag = "NOM:SolicitarCertificado|FUN:SOLICITARCERTIFICADO|VCO:S"
        Me.tlbSolicitarCertificado.toolTipText = "Importar un certificado"
        Me.tlbSolicitarCertificado.Visible = False
        '
        'tlbVerCertificado
        '
        Me.tlbVerCertificado.ImageIndex = 25
        Me.tlbVerCertificado.Name = "tlbVerCertificado"
        Me.tlbVerCertificado.tag = "NOM:VerCertificado"
        Me.tlbVerCertificado.toolTipText = "Ver Certificado"
        Me.tlbVerCertificado.Visible = False
        '
        'tlbCambiarPIN
        '
        Me.tlbCambiarPIN.ImageIndex = 21
        Me.tlbCambiarPIN.Name = "tlbCambiarPIN"
        Me.tlbCambiarPIN.tag = "NOM:CambiarPIN"
        Me.tlbCambiarPIN.toolTipText = "Cambiar PIN del certificado"
        Me.tlbCambiarPIN.Visible = False
        '
        'tlbExportarCertificado
        '
        Me.tlbExportarCertificado.ImageIndex = 22
        Me.tlbExportarCertificado.Name = "tlbExportarCertificado"
        Me.tlbExportarCertificado.tag = "NOM:ExportarCertificado"
        Me.tlbExportarCertificado.toolTipText = "Exportar el certificado"
        Me.tlbExportarCertificado.Visible = False
        '
        'tlbRevocarCertificado
        '
        Me.tlbRevocarCertificado.ImageIndex = 23
        Me.tlbRevocarCertificado.Name = "tlbRevocarCertificado"
        Me.tlbRevocarCertificado.tag = "NOM:RevocarCertificado"
        Me.tlbRevocarCertificado.toolTipText = "Revocar el certificado"
        Me.tlbRevocarCertificado.Visible = False
        '
        'tlbRestaurarCopia
        '
        Me.tlbRestaurarCopia.ImageIndex = 28
        Me.tlbRestaurarCopia.Name = "tlbRestaurarCopia"
        Me.tlbRestaurarCopia.tag = "NOM:RestaurarCopia"
        Me.tlbRestaurarCopia.toolTipText = "Restaurar copia de seguridad"
        Me.tlbRestaurarCopia.Visible = False
        '
        'tlbImprimir
        '
        Me.tlbImprimir.ImageIndex = 29
        Me.tlbImprimir.Name = "tlbImprimir"
        Me.tlbImprimir.tag = "NOM:IMPRIMIR|FUN:9"
        Me.tlbImprimir.toolTipText = "Imprimir (F9)"
        Me.tlbImprimir.Visible = False
        '
        'tlbSalir
        '
        Me.tlbSalir.Enabled = False
        Me.tlbSalir.ImageIndex = 3
        Me.tlbSalir.Name = "tlbSalir"
        Me.tlbSalir.tag = "NOM:SALIR|FUN:8"
        Me.tlbSalir.toolTipText = "Salir (F8)"
        '
        'Botones
        '
        Me.Botones.ImageStream = CType(resources.GetObject("Botones.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.Botones.transparentColor = System.Drawing.Color.Blue
        Me.Botones.Images.SetKeyName(0, "")
        Me.Botones.Images.SetKeyName(1, "")
        Me.Botones.Images.SetKeyName(2, "")
        Me.Botones.Images.SetKeyName(3, "")
        Me.Botones.Images.SetKeyName(4, "")
        Me.Botones.Images.SetKeyName(5, "")
        Me.Botones.Images.SetKeyName(6, "")
        Me.Botones.Images.SetKeyName(7, "")
        Me.Botones.Images.SetKeyName(8, "")
        Me.Botones.Images.SetKeyName(9, "")
        Me.Botones.Images.SetKeyName(10, "")
        Me.Botones.Images.SetKeyName(11, "")
        Me.Botones.Images.SetKeyName(12, "")
        Me.Botones.Images.SetKeyName(13, "")
        Me.Botones.Images.SetKeyName(14, "")
        Me.Botones.Images.SetKeyName(15, "")
        Me.Botones.Images.SetKeyName(16, "")
        Me.Botones.Images.SetKeyName(17, "")
        Me.Botones.Images.SetKeyName(18, "")
        Me.Botones.Images.SetKeyName(19, "")
        Me.Botones.Images.SetKeyName(20, "")
        Me.Botones.Images.SetKeyName(21, "")
        Me.Botones.Images.SetKeyName(22, "")
        Me.Botones.Images.SetKeyName(23, "")
        Me.Botones.Images.SetKeyName(24, "")
        Me.Botones.Images.SetKeyName(25, "")
        Me.Botones.Images.SetKeyName(26, "")
        Me.Botones.Images.SetKeyName(27, "folder_time.png")
        Me.Botones.Images.SetKeyName(28, "data_time.png")
        Me.Botones.Images.SetKeyName(29, "printer.png")
        '
        'ucBarraGenerica
        '
        Me.BackColor = System.Drawing.SystemColors.Control
        Me.Controls.Add(Me.tbGenerico)
        Me.Name = "ucBarraGenerica"
        Me.Size = New System.Drawing.Size(768, 48)
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub tbGenerico_ButtonClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.toolBarButtonClickEventArgs) Handles tbGenerico.ButtonClick
        Try
            RaiseEvent ButtonClick(sender, e)
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Exclamation, "Error tbGenerico_ButtonClick")
        End Try
    End Sub
End Class
